curl --request GET \
--url https://api.starleads.co/AgentTestExecution/{executionId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.starleads.co/AgentTestExecution/{executionId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.starleads.co/AgentTestExecution/{executionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agentId": "<string>",
"name": "<string>",
"repetitions": 123,
"testIds": [
"<string>"
],
"status": "Queued",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"counters": {
"total": 123,
"queued": 123,
"running": 123,
"passed": 123,
"failed": 123,
"error": 123,
"cancelled": 123
},
"tests": [
{
"testId": "<string>",
"counters": {
"total": 123,
"queued": 123,
"running": 123,
"passed": 123,
"failed": 123,
"error": 123,
"cancelled": 123
},
"passRate": 123
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get an execution
Returns an execution with its status, its counters of runs per status and, per test, the pass rate over the repetitions. Status, counters and dates are derived from the runs.
Authorizations
Headers
Api key to pass as a X-Api-Key request header.
Path Parameters
ID of the execution.
Response
Success
One launch: the group of runs created together for a list of tests, each repeated repetitions times. Status, counters, tests, startedAt and finishedAt are derived from the runs.
Free text given at launch ("all tests", "folder X", ...); defaults to "{n} tests"
Runs created per test (1-5)
Distinct tests launched, in launch order
Queued, Running, Completed, Cancelled First run dispatched
Last run finished, set once every run is terminal
Set when the execution was cancelled
Runs per status; total is the sum of the others
Show child attributes
Show child attributes
Per test, in testIds order: runs per status and pass rate over the repetitions
Show child attributes
Show child attributes

